using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using EPiServer;
using EPiServer.Core;
using EPiServer.Web;
using EPiServer.Web.WebControls;
using EPiServer.Templates.Alloy.Models.Blocks;

namespace EPiServer.Templates.Alloy.Views.Blocks
{
    public partial class iFrameBlockControl : SiteBlockControlBase<iFrameBlock>
    {
        protected override void OnLoad(System.EventArgs e)
        {
            base.OnLoad(e);
            
            LiteralControl iFrameLiteral = new LiteralControl("");
            iFrameLiteral.Text =
                "<iframe id=\"iFrame\" seamless=\"seamless\" src=" +
                CurrentBlock.URL + " " +
                "scrolling=" +
                (((CurrentBlock.Width != null) && (CurrentBlock.Scrollable == true)) ? "yes" : "no") + " " +
                (((CurrentBlock.Width != null) && (CurrentBlock.Width.Trim().Length > 0)) ? "width=" + CurrentBlock.Width + " " : String.Empty) +
                (((CurrentBlock.Height != null) && (CurrentBlock.Height.Trim().Length > 0)) ? "height=" + CurrentBlock.Height : String.Empty) +
                "></iframe>";
            iFrameContent.Controls.Add(iFrameLiteral);   
        }
    }
}